package powerEvaluators;

/**
 * Evaluates an alternate Ranger Careful Attack at-will power by calculating its expected damage.
 * This version of Careful Attack provides a +4 to hit instead of the standard +2.
 */
public class CarefulAttackEvaluator2 extends PowerExpectedDamageEvaluator
{
  @Override
  public Double calculateExpectedDamage()
  {
    setRollRequiredToHit(getRollRequiredToHit() - 4);
    
    return ((getWeaponDamageDie() + getBonusDamage()) * getProbabilityOfCrit()) + (getProbabilityOfHit() * (getAverageDamage() + getBonusDamage()));
  }


  @Override
  public String getName()
  {
    return "Careful Attack Alternate: +4 to hit";
  }
}
