package powerEvaluators;

/**
 * Evaluates the Fighter Reaping Strike (1-handed weapon version) at-will power
 * by calculating its expected damage.
 */
public class ReapingStrike1HandedEvaluator extends PowerExpectedDamageEvaluator
{
    @Override
    public Double calculateExpectedDamage()
    {
        return ((getWeaponDamageDie() + getAbilityModBonus() + getBonusDamage()) * getProbabilityOfCrit())
                + (getProbabilityOfHit() * (getAverageDamage()
                        + getAbilityModBonus() + getBonusDamage()))
                + (getProbabilityOfMiss() * (getAbilityModBonus() / 2));
    }

    @Override
    public String getName()
    {
        return "Reaping Strike, 1-handed weapon";
    }
}
