package powerEvaluators;

/**
 * Evaluates the Fighter Reaping Strike (2-handed weapon version) at-will power
 * by calculating its expected damage.
 */
public class ReapingStrike2HandedEvaluator extends PowerExpectedDamageEvaluator
{
    @Override
    public Double calculateExpectedDamage()
    {
        return ((getWeaponDamageDie() + getAbilityModBonus() + getBonusDamage()) * getProbabilityOfCrit())
                + (getProbabilityOfHit() * (getAverageDamage()
                        + getAbilityModBonus() + getBonusDamage()))
                + (getProbabilityOfMiss() * getAbilityModBonus());
    }

    @Override
    public String getName()
    {
        return "Reaping Strike, 2-handed weapon";
    }
}
