package powerEvaluators;

/**
 * {@link PowerExpectedDamageEvaluator} for an alternative to the Ranger's Twin Strike at-will
 * power. This alternative applies a -2 to attack rolls for both attacks.
 */
public class TwinStrikeEvaluator2 extends PowerExpectedDamageEvaluator
{
  @Override
  public Double calculateExpectedDamage()
  {
    Double expectedDamage;
    
    setRollRequiredToHit(getRollRequiredToHit() + 2);
    expectedDamage = 2 * (((getWeaponDamageDie() + getBonusDamage()) * getProbabilityOfCrit()) + (getProbabilityOfHit() * (getAverageDamage() + getBonusDamage())));
    setRollRequiredToHit(getRollRequiredToHit() - 2);

    return expectedDamage;
  }

  @Override
  public String getName()
  {
    return "Twin Strike Alternate: -2 to hit";
  }
}
