package powerEvaluators;

/**
 * {@link PowerExpectedDamageEvaluator} for an alternative to the Ranger's Twin Strike at-will
 * power. This alternative applies a -4 to attack rolls for both attacks.
 */
public class TwinStrikeEvaluator3 extends PowerExpectedDamageEvaluator
{
  @Override
  public Double calculateExpectedDamage()
  {
    Double expectedDamage;
    
    setRollRequiredToHit(getRollRequiredToHit() + 4);
    expectedDamage = 2 * (((getWeaponDamageDie() + getBonusDamage()) * getProbabilityOfCrit()) + (getProbabilityOfHit() * (getAverageDamage() + getBonusDamage())));
    setRollRequiredToHit(getRollRequiredToHit() - 4);

    return expectedDamage;
  }


  @Override
  public String getName()
  {
    return "Twin Strike Alternate 2: -4 to hit";
  }
}
